Bug 190384 - up2date needs a way to tell when it's running in a Xen instance
Summary: up2date needs a way to tell when it's running in a Xen instance
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Pete Vetere
QA Contact: Brandon Perkins
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 189917
TreeView+ depends on / blocked
 
Reported: 2006-05-01 20:33 UTC by John Wregglesworth
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHN490
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 21:11:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Wregglesworth 2006-05-01 20:33:26 UTC
Description of problem: The Xen UUID and the VMWare UUID are similar (possibly
the same) in format and it's theoretically possible that one could be mistaken
for the other. We need to add a function that will return True when it's running
on a Xen instance and False otherwise.

Comment 3 Brandon Perkins 2006-10-09 15:48:00 UTC
Verified.  /sys/hypervisor/uuid is there on Xen, and not in VMWare.

Comment 4 Brandon Perkins 2006-12-19 21:11:49 UTC
Closed for RHN 500 Beta.


Note You need to log in before you can comment on or make changes to this bug.